<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="4.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:fn="http://www.w3.org/2005/xpath-functions"
  xmlns:map="http://www.w3.org/2005/xpath-functions/map"
  xmlns:math="http://www.w3.org/2005/xpath-functions/math"
  xmlns:array="http://www.w3.org/2005/xpath-functions/array"
  xmlns:tm="http://www.datenverdrahten.de/tm"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  expand-text="yes">

  <!-- by T. Meinike 11/22 -->

  <xsl:output method="xml" version="1.0" html-version="5" encoding="UTF-8"
    indent="yes" include-content-type="no" omit-xml-declaration="yes"/>

  <xsl:template name="xsl:initial-template">

    <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html>&#xA;</xsl:text>
    <html lang="de">
      <head>
        <meta charset="UTF-8"/>
        <title>xsl:match</title>
        <style>* {{ font-family: sans-serif; }}</style>
      </head>
      <body>
        <h1>xsl:match</h1>

        <xsl:variable name="doc" select="fn:doc('test.xml')" as="document-node()"/>

        <xsl:variable name="check" as="xs:boolean">
          <xsl:match select="$doc/root/*" pattern="element1[@attr='abc'] | element2"/>
        </xsl:variable>

        <p>Prüfung <xsl:if test="$check" then="'ok'" else="'nicht ok'"/>.</p>
        <!-- ggf. weitere Verarbeitung ... -->
      </body>
    </html>

  </xsl:template>

</xsl:stylesheet>